#
# spec file for package python-xkbcommon
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%bcond_without  test
%define pyname  xkbcommon
%{?sle15_python_module_pythons}
Name:           python-%{pyname}
Version:        1.0
Release:        1.5
Summary:        Python bindings for libxkbcommon using cffi
License:        MIT
Group:          Development/Libraries/Python
URL:            https://github.com/sde1000/python-xkbcommon
Source0:        https://files.pythonhosted.org/packages/source/x/xkbcommon/%{pyname}-%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  %{python_module cffi}
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module wheel}
BuildRequires:  fdupes
BuildRequires:  pkg-config
BuildRequires:  python-rpm-macros
BuildRequires:  pkgconfig(xkbcommon)
%python_subpackages

%description
Python bindings for libxkbcommon using cffi

%prep
%autosetup -p1 -n %{pyname}-%{version}

%build
export CFLAGS="%optflags $(pkg-config --cflags xkbcommon)"
%python_exec xkbcommon/ffi_build.py
%pyproject_wheel

%install
%pyproject_install
%{python_expand %fdupes %{buildroot}%{$python_sitearch}}

%if %{with test}
%check
export CFLAGS="%optflags $(pkg-config --cflags xkbcommon)"
export LC_TYPE=en_US.UTF-8
export PYTHONPATH="%{buildroot}%{python3_sitearch}/%{pyname}:${PYTHONPATH}"
export PYTHONDONTWRITEBYTECODE=1
%pytest -vv
%endif

%files %{python_files}
%license LICENSE
%doc README.rst
%{python_sitearch}/xkbcommon
%{python_sitearch}/xkbcommon-%{version}.dist-info

%changelog
* Thu May  2 2024 Dirk Müller <dmueller@suse.com>
- update to 1.0:
  * add key_get_mods_for_level
  * add python 3.12 support
* Mon Feb 13 2023 Dominique Leuenberger <dimstar@opensuse.org>
- Fix source URL to actually refer to the current version.
* Sun Feb 12 2023 Soc Virnyl Estela <socvirnyl.estela@gmail.com>
- Remove fix-xkbcommon-paths.patch
* Sat Feb  4 2023 Soc Virnyl Estela <socvirnyl.estela@gmail.com>
- Use pkg-config and %%optflags macro for CFLAGS.
* Sat Feb  4 2023 Soc Virnyl Estela <socvirnyl.estela@gmail.com>
- Update to version 0.8:
  * Add API from libxkbcommon versions:
  - 0.6
  - 0.7
  - 0.8
  * Enable python3.11 compatibility
* Wed Jul 13 2022 Dominique Leuenberger <dimstar@opensuse.org>
- Rename the package to python-xkbcommon and make it python single
  spec, building for all current python flavors.
* Tue Jul 12 2022 Soc Virnyl Estela <socvirnyl.estela@gmail.com>
- Initial spec for python3-xkbcommon 0.4
- add fix-xkbcommon-paths.patch
  * python-cffi cannot use pkg-config to determine
  paths of headers and devel files so we need to hardcode it
